# CLMemObjectDestructorCallback (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opencl
Class CLMemObjectDestructorCallback

    java.lang.Object
      org.lwjgl.PointerWrapperAbstract
          org.lwjgl.opencl.CLMemObjectDestructorCallback

All Implemented Interfaces:
  PointerWrapper

    public abstract class CLMemObjectDestructorCallback

extends PointerWrapperAbstract

Instances of this class can be used to receive OpenCL memory object destruction notifications.

Author:
  Spasi

Field Summary

Fields inherited from class org.lwjgl.PointerWrapperAbstract
`pointer`

Constructor Summary
`protected` `CLMemObjectDestructorCallback()`

Method Summary
`protected abstract void` `handleMessage(long memobj)` The callback method.

Methods inherited from class org.lwjgl.PointerWrapperAbstract
`checkValid, equals, getPointer, hashCode, isValid, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CLMemObjectDestructorCallback

    protected CLMemObjectDestructorCallback()

Method Detail

### handleMessage

    protected abstract void handleMessage(long memobj)

  The callback method.

  Parameters:
    `memobj` - id of the CLMem object that was destroyed

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.